Create catalog
post
/catalogs
Use this endpoint to create a catalog.
Troubleshooting
The following table lists possible returned errors and their associated troubleshooting steps.
| Error | Troubleshooting |
|---|---|
catalogs-array-is-invalid |
catalogs must be an array of objects. |
catalog-name-already-exists |
Catalog with that name already exists. |
catalog-name-too-large |
Character limit for a catalog name is 250. |
description-too-long |
Character limit for description is 250. |
field-names-not-unique |
The same field name is referenced twice. |
field-names-too-large |
Character limit for a field name is 250. |
id-not-first-column |
The id must be the first field in the array. Check that the type is a string. |
invalid-catalog-name |
Catalog name can only include letters, numbers, hyphens, and underscores. |
invalid-field-names |
Fields can only include letters, numbers, hyphens, and underscores. |
invalid-field-types |
Make sure the field types are valid. |
invalid-fields |
fields is not formatted correctly. |
too-many-catalog-atoms |
You can only create one catalog per request. |
too-many-fields |
Number of fields limit is 500. |
You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.
New Stuff!